summaryrefslogtreecommitdiff
path: root/ironic_python_agent/shell
diff options
context:
space:
mode:
authorJenkins <jenkins@review.openstack.org>2014-06-16 23:36:34 +0000
committerGerrit Code Review <review@openstack.org>2014-06-16 23:36:34 +0000
commit3cd9d47ba641790acfda18211e70956062d2719c (patch)
tree7a6b04df8ceadf4c307d7d4449f85d869aafc51d /ironic_python_agent/shell
parent102c86e45a235160aba7483667c6943c9f8f7167 (diff)
parentd159aec4f01795726dccc2bc8ccece3655668e2f (diff)
downloadironic-python-agent-3cd9d47ba641790acfda18211e70956062d2719c.tar.gz
Merge "Fix: partitions recently imaged not being detected"
Diffstat (limited to 'ironic_python_agent/shell')
-rwxr-xr-xironic_python_agent/shell/copy_configdrive_to_disk.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/ironic_python_agent/shell/copy_configdrive_to_disk.sh b/ironic_python_agent/shell/copy_configdrive_to_disk.sh
index 8d6da02c..8b41cdca 100755
--- a/ironic_python_agent/shell/copy_configdrive_to_disk.sh
+++ b/ironic_python_agent/shell/copy_configdrive_to_disk.sh
@@ -37,6 +37,10 @@ DEVICE="$2"
[[ -f $CONFIGDRIVE ]] || usage "$CONFIGDRIVE (CONFIGDRIVE) is not a regular file"
[[ -b $DEVICE ]] || usage "$DEVICE (DEVICE) is not a block device"
+# We need to run partprobe to ensure all partitions are visible so the
+# following blkid command returns partitions just imaged to the device
+/sbin/partprobe $DEVICE || fail "running partprobe against $DEVICE"
+
# Check for preexisting partition for configdrive
EXISTING_PARTITION=`/sbin/blkid -l -o device $DEVICE -t LABEL=config-2`
if [[ $? == 0 ]]; then